Package com.logicaldoc.core.parser

# Class ParsingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.parser.ParsingException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ParsingTimeoutException`

public class ParsingException extends Exception
When an error happens during the parsing

Since:
  8.7.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParsingException(String message)`
`ParsingException(String message, Throwable cause)`
`ParsingException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParsingException

public ParsingException(String message, Throwable cause)

### ParsingException

public ParsingException(String message)

### ParsingException

public ParsingException(Throwable cause)